<template>
  <el-card class="aui-card--fill" shadow="never">
    <div class="mod-sys__log-login">
      <zt-table-wraper v-slot="{ table }" export-url="/sys/log/login/export" query-url="/sys/log/login/page">
        <el-form :inline="true" :model="dataForm" @keyup.enter.native="table.query()">
          <el-form-item>
            <el-input v-model="dataForm.creatorName" :placeholder="$t('logLogin.creatorName')" clearable></el-input>
          </el-form-item>
          <el-form-item>
            <el-select v-model="dataForm.status" :placeholder="$t('logLogin.status')" clearable>
              <el-option :label="$t('logLogin.status0')" :value="0"></el-option>
              <el-option :label="$t('logLogin.status1')" :value="1"></el-option>
              <el-option :label="$t('logLogin.status2')" :value="2"></el-option>
            </el-select>
          </el-form-item>
          <el-form-item>
            <zt-button class="admin-query-button" type="query" @click="table.query()"/>
            <zt-button type="export" @click="table.exportHandle()"/>
          </el-form-item>
        </el-form>
        <el-table v-adaptive="{bottomOffset:60}"
                  v-loading="table.dataLoading"
                  :data="table.dataList"
                  border height="650px" @sort-change="table.sortChangeHandle">
          <el-table-column :label="$t('logLogin.creatorName')" prop="creatorName"/>
          <el-table-column :label="$t('logLogin.operation')" prop="operation">
            <template v-slot="{ row }">
              {{ row.operation === 0 ? $t('logLogin.operation0') : $t('logLogin.operation1') }}
            </template>
          </el-table-column>
          <el-table-column :label="$t('logLogin.status')" prop="status" sortable="custom">
            <template v-slot="{ row }">
              <el-tag v-if="row.status === 0" size="small" type="danger">{{ $t('logLogin.status0') }}</el-tag>
              <el-tag v-else-if="row.status === 1" size="small" type="success">{{ $t('logLogin.status1') }}</el-tag>
              <el-tag v-else size="small" type="warning">{{ $t('logLogin.status2') }}</el-tag>
            </template>
          </el-table-column>
          <el-table-column :label="$t('logLogin.ip')" prop="ip"/>
          <el-table-column :label="$t('logLogin.userAgent')" :show-overflow-tooltip="true" prop="userAgent"
                           width="150"/>
          <el-table-column :label="$t('logLogin.createDate')" prop="createDate" sortable="custom" width="180"/>
        </el-table>
      </zt-table-wraper>
    </div>
  </el-card>
</template>

<script>
export default {
  data() {
    return {
      dataForm: {
        creatorName: '',
        status: ''
      }
    }
  }
}
</script>
